#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Speex-1.2.0

- Next

  v4l-utils-1.22.1

- Up
- Home

# Taglib-1.12

## Introduction to Taglib

Taglib is a library used for reading, writing and manipulating audio file tags and is used by applications such as Amarok and VLC.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://taglib.github.io/releases/taglib-1.12.tar.gz

- Download MD5 sum: 4313ed2671234e029b7af8f97c84e9af

- Download size: 1.3 MB

- Estimated disk space required: 13 MB

- Estimated build time: 0.3 SBU

### Taglib Dependencies

#### Required

CMake-3.22.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/taglib

## Installation of Taglib

Install Taglib by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -DBUILD_SHARED_LIBS=ON \
          .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: taglib-config
Installed Libraries: libtag.so and libtag_c.so
Installed Directories: /usr/include/taglib

### Short Descriptions

taglib-config | is a tool used to print information about the taglib installation

Last updated on

- Prev

  Speex-1.2.0

- Next

  v4l-utils-1.22.1

- Up
- Home